summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Antonio Hernández Blas <hba.nihilismus@gmail.com>2015-06-04 18:43:49 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-06-04 18:43:49 +0700
commit704cfcbf6927a705cfc48456bdf138ec06c932d8 (patch)
treeb58cbf6cfc0f0745f44cbb62b609e91b2e111a58 /network
parent472be5a7563a1f0c20396728e9cd7938eb31896a (diff)
downloadslackbuilds-704cfcbf6927a705cfc48456bdf138ec06c932d8.tar.gz
slackbuilds-704cfcbf6927a705cfc48456bdf138ec06c932d8.tar.xz
network/pgbouncer: Added (connection pooler for PostgreSQL).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/pgbouncer/README9
-rw-r--r--network/pgbouncer/doinst.sh23
-rw-r--r--network/pgbouncer/pgbouncer.SlackBuild133
-rw-r--r--network/pgbouncer/pgbouncer.info10
-rw-r--r--network/pgbouncer/rc.pgbouncer94
-rw-r--r--network/pgbouncer/slack-desc19
6 files changed, 288 insertions, 0 deletions
diff --git a/network/pgbouncer/README b/network/pgbouncer/README
new file mode 100644
index 0000000000..c93cb0bd17
--- /dev/null
+++ b/network/pgbouncer/README
@@ -0,0 +1,9 @@
+pgbouncer (Lightweight connection pooler for PostgreSQL)
+
+pgbouncer is a PostgreSQL connection pooler. Any target application
+can be connected to pgbouncer as if it were a PostgreSQL server,
+and pgbouncer will create a connection to the actual server, or it
+will reuse one of its existing connections.
+
+The aim of pgbouncer is to lower the performance impact of opening
+new connections to PostgreSQL.
diff --git a/network/pgbouncer/doinst.sh b/network/pgbouncer/doinst.sh
new file mode 100644
index 0000000000..a5536370a9
--- /dev/null
+++ b/network/pgbouncer/doinst.sh
@@ -0,0 +1,23 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+preserve_perms() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ if [ -e $OLD ]; then
+ cp -a $OLD ${NEW}.incoming
+ cat $NEW > ${NEW}.incoming
+ mv ${NEW}.incoming $NEW
+ fi
+ config $NEW
+}
diff --git a/network/pgbouncer/pgbouncer.SlackBuild b/network/pgbouncer/pgbouncer.SlackBuild
new file mode 100644
index 0000000000..32c2f40d80
--- /dev/null
+++ b/network/pgbouncer/pgbouncer.SlackBuild
@@ -0,0 +1,133 @@
+#!/bin/sh
+
+# Slackware build script for pgbouncer
+
+# Copyright (c) 2015 Antonio Hernández Blas <hba.nihilismus@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PRGNAM=pgbouncer
+VERSION=${VERSION:-1.5.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+#chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+# Copy configuration files
+mkdir -p $PKG/etc/$PRGNAM
+cp etc/$PRGNAM*.ini $PKG/etc/$PRGNAM/
+
+# Install init scipts
+mkdir -p $PKG/etc/rc.d/
+install -m 0644 $CWD/rc.$PRGNAM $PKG/etc/rc.d/rc.$PRGNAM
+
+# Install other files required for execution
+mkdir -p $PKG/var/log/$PRGNAM $PKG/var/run/$PRGNAM
+echo "# Documentation for the content of this file:" \
+ > $PKG/etc/$PRGNAM/userlist.txt
+echo "# https://$PRGNAM.github.io/config.html#authentication-file-format" \
+ >> $PKG/etc/$PRGNAM/userlist.txt
+echo "# man 5 $PRGNAM, section 'AUTHENTICATION FILE FORMAT'" \
+ >> $PKG/etc/$PRGNAM/userlist.txt
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYRIGHT NEWS README etc/mkauth.py \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+# Add .new extension to all configuration files.
+for file in $(find $PKG/etc -type f)
+do
+ mv $file $file.new
+done
+
+# Add *.new files into doinst.sh
+for file in $(find $PKG/etc -type f -name "*.new")
+do
+ echo preserve_perms $(echo $file | sed "s:$PKG/::") >> $PKG/install/doinst.sh
+done
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/pgbouncer/pgbouncer.info b/network/pgbouncer/pgbouncer.info
new file mode 100644
index 0000000000..f5669a4bca
--- /dev/null
+++ b/network/pgbouncer/pgbouncer.info
@@ -0,0 +1,10 @@
+PRGNAM="pgbouncer"
+VERSION="1.5.5"
+HOMEPAGE="https://pgbouncer.github.io"
+DOWNLOAD="https://pgbouncer.github.io/downloads/pgbouncer-1.5.5.tar.gz"
+MD5SUM="e332e41956f9a2d48c4b38fa96d6e0f0"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Antonio Hernández Blas"
+EMAIL="hba.nihilismus@gmail.com"
diff --git a/network/pgbouncer/rc.pgbouncer b/network/pgbouncer/rc.pgbouncer
new file mode 100644
index 0000000000..d547e42e80
--- /dev/null
+++ b/network/pgbouncer/rc.pgbouncer
@@ -0,0 +1,94 @@
+#!/bin/sh
+
+# Start/stop/restart pgbouncer - Lightweight connection pooler for PostgreSQL.
+# Copyright (c) 2015, Antonio Hernández Blas <hba.nihilismus@gmail.com>
+
+#
+# DO WHAT THE FUCK YOU WANT TO PUBLIC LICENSE
+# Version 2, December 2004
+#
+# Copyright (C) 2004 Sam Hocevar <sam@hocevar.net>
+#
+# Everyone is permitted to copy and distribute verbatim or modified
+# copies of this license document, and changing it is allowed as long
+# as the name is changed.
+#
+# DO WHAT THE FUCK YOU WANT TO PUBLIC LICENSE
+# TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION
+#
+# 0. You just DO WHAT THE FUCK YOU WANT TO.
+#
+
+CONF='/etc/pgbouncer/pgbouncer.ini'
+CMMD="/usr/bin/pgbouncer -d -q"
+
+pgbouncer_start() {
+ CMMD="$CMMD $CONF"
+ if [ -x /usr/bin/pgbouncer ]; then
+ if [ -f $CONF ]; then
+ PIDOF=$(pgrep -f "$CMMD.*$CONF")
+ if [ ! -z "$PIDOF" ]; then
+ echo "Error, pgbouncer is already running."
+ else
+ echo "Starting pgbouncer: $CMMD"
+ $CMMD
+ fi
+ else
+ echo "Error, file $CONF does not exist."
+ fi
+ fi
+}
+
+pgbouncer_stop() {
+ PIDOF=$(pgrep -f "$CMMD.*$CONF")
+ if [ -z "$PIDOF" ]; then
+ echo "Error, pgbouncer is not running."
+ else
+ echo "Stoping pgbouncer: /bin/kill -s SIGINT $PIDOF"
+ /bin/kill -s SIGINT $PIDOF
+ fi
+}
+
+pgbouncer_status() {
+ PIDOF=$(pgrep -f "$CMMD.*$CONF")
+ if [ ! -z "$PIDOF" ]; then
+ echo "pgbouncer is running."
+ else
+ echo "pgbouncer is not running."
+ fi
+}
+
+pgbouncer_online_restart() {
+ PIDOF=$(pgrep -f "$CMMD.*$CONF")
+ if [ ! -z "$PIDOF" ]; then
+ CMMD="$CMMD -R $CONF"
+ echo "Online restarting pgbouncer: $CMMD"
+ $CMMD
+ else
+ echo "Error, pgbouncer is not running."
+ fi
+}
+
+case $1 in
+ start)
+ pgbouncer_start
+ ;;
+ stop)
+ pgbouncer_stop
+ ;;
+ restart)
+ pgbouncer_stop
+ sleep 3
+ pgbouncer_start
+ ;;
+ online-restart)
+ pgbouncer_online_restart
+ ;;
+ status)
+ pgbouncer_status
+ ;;
+ *)
+ echo "Usage $0 {start|stop|restart|status|online-restart}"
+ exit 1
+ ;;
+esac
diff --git a/network/pgbouncer/slack-desc b/network/pgbouncer/slack-desc
new file mode 100644
index 0000000000..e858abbded
--- /dev/null
+++ b/network/pgbouncer/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+pgbouncer: pgbouncer (Lightweight connection pooler for PostgreSQL)
+pgbouncer:
+pgbouncer: pgbouncer is a PostgreSQL connection pooler. Any target application
+pgbouncer: can be connected to pgbouncer as if it were a PostgreSQL server,
+pgbouncer: and pgbouncer will create a connection to the actual server, or it
+pgbouncer: will reuse one of its existing connections.
+pgbouncer:
+pgbouncer: The aim of pgbouncer is to lower the performance impact of opening
+pgbouncer: new connections to PostgreSQL.
+pgbouncer:
+pgbouncer: Homepage: https://pgbouncer.github.io